Bug 1030933 - [abrt] gedit-3.8.3-1.fc19: iter_set_from_char_offset: Process /usr/bin/gedit was killed by signal 5 (SIGTRAP)
[abrt] gedit-3.8.3-1.fc19: iter_set_from_char_offset: Process /usr/bin/gedit ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ff3e9092a7c43a9a2649139ba09...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 06:11 EST by Dolmatov Alexey
Modified: 2015-02-17 14:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:15:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.73 KB, text/plain)
2013-11-15 06:11 EST, Dolmatov Alexey
no flags Details
File: cgroup (143 bytes, text/plain)
2013-11-15 06:11 EST, Dolmatov Alexey
no flags Details
File: core_backtrace (22.04 KB, text/plain)
2013-11-15 06:11 EST, Dolmatov Alexey
no flags Details
File: dso_list (12.69 KB, text/plain)
2013-11-15 06:11 EST, Dolmatov Alexey
no flags Details
File: environ (1.35 KB, text/plain)
2013-11-15 06:11 EST, Dolmatov Alexey
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-15 06:12 EST, Dolmatov Alexey
no flags Details
File: maps (55.28 KB, text/plain)
2013-11-15 06:12 EST, Dolmatov Alexey
no flags Details
File: open_fds (1.55 KB, text/plain)
2013-11-15 06:12 EST, Dolmatov Alexey
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2013-11-15 06:12 EST, Dolmatov Alexey
no flags Details
File: var_log_messages (763 bytes, text/plain)
2013-11-15 06:12 EST, Dolmatov Alexey
no flags Details

  None (edit)
Description Dolmatov Alexey 2013-11-15 06:11:35 EST
Description of problem:
I open 10GB file in my OS with 70 GB RAM (6 real)

Version-Release number of selected component:
gedit-3.8.3-1.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        gedit
crash_function: iter_set_from_char_offset
executable:     /usr/bin/gedit
kernel:         3.11.6-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 iter_set_from_char_offset at gtktextiter.c:137
 #3 gtk_text_iter_set_offset at gtktextiter.c:4020
 #4 gtk_text_iter_forward_chars at gtktextiter.c:2324
 #5 _gtk_text_btree_insert at gtktextbtree.c:1244
 #6 gtk_text_buffer_real_insert_text at gtktextbuffer.c:903
 #7 gtk_source_buffer_real_insert_text at gtksourcebuffer.c:931
 #12 gtk_text_buffer_emit_insert at gtktextbuffer.c:926
 #13 gtk_text_buffer_insert at gtktextbuffer.c:957
 #14 validate_and_insert at gedit-document-output-stream.c:639
 #15 gedit_document_output_stream_write at gedit-document-output-stream.c:980
Comment 1 Dolmatov Alexey 2013-11-15 06:11:45 EST
Created attachment 824480 [details]
File: backtrace
Comment 2 Dolmatov Alexey 2013-11-15 06:11:48 EST
Created attachment 824481 [details]
File: cgroup
Comment 3 Dolmatov Alexey 2013-11-15 06:11:52 EST
Created attachment 824482 [details]
File: core_backtrace
Comment 4 Dolmatov Alexey 2013-11-15 06:11:55 EST
Created attachment 824483 [details]
File: dso_list
Comment 5 Dolmatov Alexey 2013-11-15 06:11:58 EST
Created attachment 824484 [details]
File: environ
Comment 6 Dolmatov Alexey 2013-11-15 06:12:02 EST
Created attachment 824485 [details]
File: limits
Comment 7 Dolmatov Alexey 2013-11-15 06:12:06 EST
Created attachment 824486 [details]
File: maps
Comment 8 Dolmatov Alexey 2013-11-15 06:12:11 EST
Created attachment 824487 [details]
File: open_fds
Comment 9 Dolmatov Alexey 2013-11-15 06:12:15 EST
Created attachment 824488 [details]
File: proc_pid_status
Comment 10 Dolmatov Alexey 2013-11-15 06:12:18 EST
Created attachment 824489 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2015-01-09 15:35:58 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 14:15:18 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.